Rotate an application secret

Rotate an application’s secret. The previous secret stops working immediately, and the new secret is returned only in this response.

Required permissions: permission:update.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

application_idstringRequired
The ID of the application.

Headers

X-Penny-As-Businessstring or nullOptional

Act on behalf of another business that has granted you access. Requires the business:act_as permission.

Response

The application’s new one-time credential pair.

client_idstring
The client ID for the application.
client_secretstring
The new client secret. It is returned once and cannot be retrieved from Penny later.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error